org.apache.ignite.internal.processors.performancestatistics

## Class PerformanceStatisticsMBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.performancestatistics.PerformanceStatisticsMBeanImpl

All Implemented Interfaces:
  PerformanceStatisticsMBean

    public class PerformanceStatisticsMBeanImpl
    extends Object
    implements PerformanceStatisticsMBean

`PerformanceStatisticsMBean` implementation.

### Constructor Summary

Constructors
Constructor and Description
`PerformanceStatisticsMBeanImpl(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `rotate()` Rotate performance statistics in the cluster.
`void` `start()` Start collecting performance statistics in the cluster.
`boolean` `started()`
`void` `stop()` Stop collecting performance statistics in the cluster.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerformanceStatisticsMBeanImpl

    public PerformanceStatisticsMBeanImpl(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### start

    public void start()
               throws IgniteCheckedException

Start collecting performance statistics in the cluster.

Specified by:
  `start` in interface `PerformanceStatisticsMBean`
Throws:
  `IgniteCheckedException`

#### stop

    public void stop()
              throws IgniteCheckedException

Stop collecting performance statistics in the cluster.

Specified by:
  `stop` in interface `PerformanceStatisticsMBean`
Throws:
  `IgniteCheckedException`

#### rotate

    public void rotate()
                throws IgniteCheckedException

Rotate performance statistics in the cluster.

Specified by:
  `rotate` in interface `PerformanceStatisticsMBean`
Throws:
  `IgniteCheckedException`

#### started

    public boolean started()

Specified by:
  `started` in interface `PerformanceStatisticsMBean`
Returns:
  `True` if performance statistics collection is started.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022